# Uses of Class
com.sparshui.common.Location

Packages that use Location
Package
Description
com.sparshui.client
com.sparshui.common
com.sparshui.common.messages.events
com.sparshui.server
org.jmol.multitouch.sparshui

## Uses of Location in com.sparshui.client

Methods in com.sparshui.client with parameters of type Location
Modifier and Type
Method
Description
`int`
SparshClient.`getGroupID(Location location)`
This method must return an ID for a group of points that should be processed together.

## Uses of Location in com.sparshui.common

Methods in com.sparshui.common that return Location
Modifier and Type
Method
Description
`static Location`
Location.`getCenter(Location a, Location b)`
`static Location`
Location.`getCentroid(Location a, Location b, float w)`
get weighted average location.
`static Location`
Location.`pixelLocation(Location location)`
`static Location`
Location.`screenLocation(Location location)`
Methods in com.sparshui.common with parameters of type Location
Modifier and Type
Method
Description
`static Location`
Location.`getCenter(Location a, Location b)`
`static Location`
Location.`getCentroid(Location a, Location b, float w)`
get weighted average location.
`float`
Location.`getDistance(Location location)`
`V3`
Location.`getVector(Location location)`
`static Location`
Location.`pixelLocation(Location location)`
`static Location`
Location.`screenLocation(Location location)`

## Uses of Location in com.sparshui.common.messages.events

Methods in com.sparshui.common.messages.events that return Location
Modifier and Type
Method
Description
`Location`
RotateEvent.`getCenter()`
`Location`
ZoomEvent.`getCenter()`
Methods in com.sparshui.common.messages.events with parameters of type Location
Modifier and Type
Method
Description
`void`
RotateEvent.`setCenter(Location center)`
`void`
ZoomEvent.`setCenter(Location center)`
Constructors in com.sparshui.common.messages.events with parameters of type Location
Modifier
Constructor
Description
``
`RotateEvent(float rotation, Location center, long time)`
``
`ZoomEvent(float scale, Location center, long time)`

## Uses of Location in com.sparshui.server

Methods in com.sparshui.server that return Location
Modifier and Type
Method
Description
`Location`
TouchPoint.`getLocation()`
Get the touch point location.
Methods in com.sparshui.server with parameters of type Location
Modifier and Type
Method
Description
`void`
TouchPoint.`update(Location location, long time, int state)`
Update this touch point with a new location and state.
Constructors in com.sparshui.server with parameters of type Location
Modifier
Constructor
Description
``
`TouchPoint(int id, Location location, long time)`

## Uses of Location in org.jmol.multitouch.sparshui

Fields in org.jmol.multitouch.sparshui declared as Location
Modifier and Type
Field
Description
`protected Location`
TwoPointGesture.`_offset`
`protected Location`
TwoPointGesture.`_offsetCentroid`
Methods in org.jmol.multitouch.sparshui with parameters of type Location
Modifier and Type
Method
Description
`int`
JmolSparshClientAdapter.`getGroupID(Location location)`